function love.load()
	mx, my = love.mouse.getPosition()
	home = love.filesystem:getWorkingDirectory() --for testing
	w = love.graphics.getWidth()
	h = love.graphics.getHeight()

	p1 = {

		x = 10,
		y = h / 2 + 50,
		w = 1,
		h = 100,
		speed = 3,
		score = 0
	}
	
	p2 = {

		x = 790,
		y = h / 2 + 50,
		w = 1,
		h = 100,
		speed = 3,
		score = 0
	}

	ball = {
		x = w / 2,
		y = h / 2,
		leftUp = false,
		leftDown = true,
		rightUp = false,
		rightDown = false,
		speed = 100
	}	
	--anglespeed was for testing. I left it in here incase i need to come back to this project
	anglespeed = 4
	printit = false
end

function love.update(dt)	
		--move by angle
	if ball.rightUp == true then
		ball.x = ball.x + 1 * ball.speed * dt
		ball.y = ball.y - 1 * ball.speed * dt
	end
	if ball.rightDown == true then
		ball.x = ball.x + 1 * ball.speed * dt
		ball.y = ball.y + 1 * ball.speed * dt
	end
	if ball.leftUp == true then
		ball.x = ball.x - 1 * ball.speed * dt
		ball.y = ball.y - 1 * ball.speed * dt
	end
	if ball.leftDown == true then
		ball.x = ball.x - 1 * ball.speed * dt
		ball.y = ball.y + 1 * ball.speed * dt
	end	
	
	--bounce off paddles
	if ball.x < p1.x + 10 and ball.y > p1.y and ball.x > p1.x + p1.w and ball.y < p1.y + p1.h then
		printit = true
		if ball.leftUp == true then
			ball.leftUp = false
			ball.rightUp = true
		elseif ball.leftDown == true then
			ball.leftDown = false
			ball.rightDown = true
			printit = true
		end
	end
	if ball.x > p2.x and ball.y > p2.y and ball.x < p2.x + p2.w and ball.y < p2.y + p2.h then
		if ball.rightUp == true then
			ball.rightUp = false
			ball.leftUp = true
		elseif ball.rightDown == true then
			ball.rightDown = false
			ball.leftDown = true
		end
	end	
	
	--bounce off screen edge and award points
	if ball.y < 1 then
		if ball.rightUp == true then
			ball.rightUp = false
			ball.rightDown = true
		end
		if ball.leftUp == true then
			ball.leftUp = false
			ball.leftDown = true
		end
	end
	if ball.y > 599 then
		if ball.leftDown == true then
			ball.leftDown = false
			ball.leftUp = true
		end
		if ball.rightDown == true then
			ball.rightDown = false
			ball.rightUp = true
		end
	end
	if ball.x > 799 then
		p1.score = p1.score + 1
		ball.x = w / 2
		ball.y = h / 2
	elseif ball.x < 1 then
		p2.score = p2.score + 1
		ball.x = w / 2
		ball.y = h / 2
	end


	--usr input
	if love.keyboard.isDown("s") then
		p1.y = p1.y + p1.speed
	end
	if love.keyboard.isDown("w") then
		p1.y = p1.y - p1.speed
	end	
	if love.keyboard.isDown("up") then
		p2.y = p2.y - p2.speed
	end
	if love.keyboard.isDown("down") then
		p2.y = p2.y + p2.speed
	end
	mx, my = love.mouse.getPosition()
end
     
function love.draw()
	love.graphics.setColor(255,255,255)
	love.graphics.circle("fill", ball.x, ball.y, 10)
	love.graphics.setColor(255,2,0)
	love.graphics.line(p1.x + math.random(-2, 2), p1.y + math.random(-2, 2), p1.x + p1.w + math.random(-2, 2), p1.y + p1.h + math.random(-2, 2))
	love.graphics.line(p2.x + math.random(-2, 2), p2.y + math.random(-2, 2), p2.x + p2.w + math.random(-2, 2), p2.y + p2.h + math.random(-2, 2))
	love.graphics.print(p1.score, 50, 100)
	love.graphics.print(p2.score, 750, 100)
end
